curl --location --request PUT 'https://integrations.projectcor.com/v2/integrations/teams/{{external_team_id}}' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
--header 'Content-Type: application/json' \
--data '{
"name": "Team test 2.0",
"description": "New team for delevopers",
"workspace_id": "ws-prod-engineering-2024",
"metadata": {
"source": "GLOBANT"
}
}'
import requests
url = "https://integrations.projectcor.com/v2/integrations/teams/{{external_team_id}}"
payload = {
"name": "Team test 2.0",
"description": "New team for delevopers",
"workspace_id": "ws-prod-engineering-2024",
"metadata": {
"source": "GLOBANT"
}
}
headers = {
"Authorization": "Bearer YOUR_ACCESS_TOKEN",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.json())
const response = await fetch(
'https://integrations.projectcor.com/v2/integrations/teams/{{external_team_id}}',
{
method: 'PUT',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: 'Team test 2.0',
description: 'New team for delevopers',
workspace_id: 'ws-prod-engineering-2024',
metadata: {
source: 'GLOBANT'
}
})
}
);
const data = await response.json();
console.log(data);
{
"id": 4240,
"company_id": 2336,
"name": "Team test 2.0",
"description": "New team for delevopers",
"created_at": "2026-01-08 19:06:19",
"updated_at": "2026-01-08 19:17:54",
"deleted_at": null,
"workspace_id": 3
}
{
"status": "ERROR",
"code": "ZC001",
"message": "Entity is not associated"
}
Teams
Update Team
Updates an existing team in your COR instance using its external ID
PUT
/
v2
/
integrations
/
teams
/
{id}
curl --location --request PUT 'https://integrations.projectcor.com/v2/integrations/teams/{{external_team_id}}' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
--header 'Content-Type: application/json' \
--data '{
"name": "Team test 2.0",
"description": "New team for delevopers",
"workspace_id": "ws-prod-engineering-2024",
"metadata": {
"source": "GLOBANT"
}
}'
import requests
url = "https://integrations.projectcor.com/v2/integrations/teams/{{external_team_id}}"
payload = {
"name": "Team test 2.0",
"description": "New team for delevopers",
"workspace_id": "ws-prod-engineering-2024",
"metadata": {
"source": "GLOBANT"
}
}
headers = {
"Authorization": "Bearer YOUR_ACCESS_TOKEN",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.json())
const response = await fetch(
'https://integrations.projectcor.com/v2/integrations/teams/{{external_team_id}}',
{
method: 'PUT',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: 'Team test 2.0',
description: 'New team for delevopers',
workspace_id: 'ws-prod-engineering-2024',
metadata: {
source: 'GLOBANT'
}
})
}
);
const data = await response.json();
console.log(data);
{
"id": 4240,
"company_id": 2336,
"name": "Team test 2.0",
"description": "New team for delevopers",
"created_at": "2026-01-08 19:06:19",
"updated_at": "2026-01-08 19:17:54",
"deleted_at": null,
"workspace_id": 3
}
{
"status": "ERROR",
"code": "ZC001",
"message": "Entity is not associated"
}
Updates an existing team in your COR instance using its external ID. Performs the same validations as creation and updates only the provided fields.
Path Parameters
string
required
External team ID that was used when creating the team
Request Body Requirements
string
Updated team name
string
External workspace ID that the team belongs to
string
Updated description
Known Errors
ZC001— Entity is not associated (team with the specified external ID not found)ValidationError— Missing requiredmetadata.sourcefieldWS001— The workspace was not found in the system (if workspace_id is provided)
curl --location --request PUT 'https://integrations.projectcor.com/v2/integrations/teams/{{external_team_id}}' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
--header 'Content-Type: application/json' \
--data '{
"name": "Team test 2.0",
"description": "New team for delevopers",
"workspace_id": "ws-prod-engineering-2024",
"metadata": {
"source": "GLOBANT"
}
}'
import requests
url = "https://integrations.projectcor.com/v2/integrations/teams/{{external_team_id}}"
payload = {
"name": "Team test 2.0",
"description": "New team for delevopers",
"workspace_id": "ws-prod-engineering-2024",
"metadata": {
"source": "GLOBANT"
}
}
headers = {
"Authorization": "Bearer YOUR_ACCESS_TOKEN",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.json())
const response = await fetch(
'https://integrations.projectcor.com/v2/integrations/teams/{{external_team_id}}',
{
method: 'PUT',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: 'Team test 2.0',
description: 'New team for delevopers',
workspace_id: 'ws-prod-engineering-2024',
metadata: {
source: 'GLOBANT'
}
})
}
);
const data = await response.json();
console.log(data);
{
"id": 4240,
"company_id": 2336,
"name": "Team test 2.0",
"description": "New team for delevopers",
"created_at": "2026-01-08 19:06:19",
"updated_at": "2026-01-08 19:17:54",
"deleted_at": null,
"workspace_id": 3
}
{
"status": "ERROR",
"code": "ZC001",
"message": "Entity is not associated"
}
Was this page helpful?
⌘I

